jdbm

## Enum I18n

- java.lang.Object
- - java.lang.Enum<I18n>
  - - jdbm.I18n

All Implemented Interfaces:
  Serializable, Comparable<I18n>

    public enum I18n
    extends Enum<I18n>

Provides i18n handling of error codes. About formatting see also `MessageFormat`

Author:
  Apache Directory Project

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ERR_513`
`ERR_514`
`ERR_515`
`ERR_516`
`ERR_517`
`ERR_518`
`ERR_519`
`ERR_522`
`ERR_523`
`ERR_524`
`ERR_525`
`ERR_526`
`ERR_527`
`ERR_528`
`ERR_529`
`ERR_531`
`ERR_532`
`ERR_533`
`ERR_534`
`ERR_535`
`ERR_536`
`ERR_537`
`ERR_538`
`ERR_539_BAD_BLOCK_ID`
`ERR_540`
`ERR_541`
`ERR_542`
`ERR_543`
`ERR_544`
`ERR_545`
`ERR_546`
`ERR_547`
`ERR_548`
`ERR_549`
`ERR_550`
`ERR_551`
`ERR_552`
`ERR_553`
`ERR_554`
`ERR_555`
`ERR_556`
`ERR_557`
`ERR_558`
`ERR_559`
`ERR_560`
`ERR_561`
`ERR_562`
`ERR_563`
`ERR_564`
`ERR_565`
`ERR_566`
`ERR_567`

### Method Summary

Methods
`static String` `err(I18n err, Object... args)` Translate an error code with argument(s)
`String` `getErrorCode()`
`static String` `msg(String msg, Object... args)` Translate a message with argument(s)
`static I18n` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static I18n[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERR_513

    public static final I18n ERR_513

#### ERR_514

    public static final I18n ERR_514

#### ERR_515

    public static final I18n ERR_515

#### ERR_516

    public static final I18n ERR_516

#### ERR_517

    public static final I18n ERR_517

#### ERR_518

    public static final I18n ERR_518

#### ERR_519

    public static final I18n ERR_519

#### ERR_522

    public static final I18n ERR_522

#### ERR_523

    public static final I18n ERR_523

#### ERR_524

    public static final I18n ERR_524

#### ERR_525

    public static final I18n ERR_525

#### ERR_526

    public static final I18n ERR_526

#### ERR_527

    public static final I18n ERR_527

#### ERR_528

    public static final I18n ERR_528

#### ERR_529

    public static final I18n ERR_529

#### ERR_531

    public static final I18n ERR_531

#### ERR_532

    public static final I18n ERR_532

#### ERR_533

    public static final I18n ERR_533

#### ERR_534

    public static final I18n ERR_534

#### ERR_535

    public static final I18n ERR_535

#### ERR_536

    public static final I18n ERR_536

#### ERR_537

    public static final I18n ERR_537

#### ERR_538

    public static final I18n ERR_538

#### ERR_539_BAD_BLOCK_ID

    public static final I18n ERR_539_BAD_BLOCK_ID

#### ERR_540

    public static final I18n ERR_540

#### ERR_541

    public static final I18n ERR_541

#### ERR_542

    public static final I18n ERR_542

#### ERR_543

    public static final I18n ERR_543

#### ERR_544

    public static final I18n ERR_544

#### ERR_545

    public static final I18n ERR_545

#### ERR_546

    public static final I18n ERR_546

#### ERR_547

    public static final I18n ERR_547

#### ERR_548

    public static final I18n ERR_548

#### ERR_549

    public static final I18n ERR_549

#### ERR_550

    public static final I18n ERR_550

#### ERR_551

    public static final I18n ERR_551

#### ERR_552

    public static final I18n ERR_552

#### ERR_553

    public static final I18n ERR_553

#### ERR_554

    public static final I18n ERR_554

#### ERR_555

    public static final I18n ERR_555

#### ERR_556

    public static final I18n ERR_556

#### ERR_557

    public static final I18n ERR_557

#### ERR_558

    public static final I18n ERR_558

#### ERR_559

    public static final I18n ERR_559

#### ERR_560

    public static final I18n ERR_560

#### ERR_561

    public static final I18n ERR_561

#### ERR_562

    public static final I18n ERR_562

#### ERR_563

    public static final I18n ERR_563

#### ERR_564

    public static final I18n ERR_564

#### ERR_565

    public static final I18n ERR_565

#### ERR_566

    public static final I18n ERR_566

#### ERR_567

    public static final I18n ERR_567

### Method Detail

#### values

    public static I18n[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (I18n c : I18n.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static I18n valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getErrorCode

    public String getErrorCode()

Returns:
  the errorCode

#### err

    public static String err(I18n err,
             Object... args)

Translate an error code with argument(s)

Parameters:
  `err` - The error code
  `args` - The argument(s)
Returns:
  The translate error code

#### msg

    public static String msg(String msg,
             Object... args)

Translate a message with argument(s)

Parameters:
  `msg` - The message
  `args` - The argument(s)
Returns:
  The translated message